ATA_HPA_RESIZE(9)

NAME
ata_hpa_resize - Resize a device with an HPA set

SYNOPSIS

int ata_hpa_resize(struct ata_device * dev);

ARGUMENTS

dev
    Device to resize

DESCRIPTION

Read the size of an LBA28 or LBA48 disk with HPA features and resize it if required to the full size of the media. The caller must check the drive has the HPA feature set enabled.

RETURNS

0 on success, -errno on failure.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT